package ari.networktraffic;

import android.util.Log;

import java.util.Vector;

/**
 * Log agent that sends messages to logcat
 * Created by trachten on 7/16/15.
 */
public class LogCatLogger extends LogHandler {

    /**
     * Sets up a logger with the given identifier
     * @param ident An identifier associated with the log
     * @param desiredPrio The priority of messages to log (i.e. every priority >= this priority is logged)
     */
    public LogCatLogger(String ident, int desiredPrio) { super(); myIdent = ident; myPriority = desiredPrio; }
    public LogCatLogger(String ident) { this(ident,DEFAULT_PRIORITY);}

    @Override
    protected void store(String datum) {
        Log.i(myIdent, datum);
    }

    private String myIdent;     /** An identifier associated with this log. */
    private Vector<String> myPrefix; /** A prefix to add to all logs. */
    private int myPriority;     /** The desired priority to log. */
}
