package ari.networktraffic;

import android.util.Pair;

/**
 * Created by trachten on 1/18/16.
 */
public class recordNetwork implements Runnable {
    final public long recordTime = 30000000000L; // 30 seconds, in nanoseconds

    interface Function {
        public Pair<Long, Long> calc();
    }

    LogHandler myLogger;
    String myPrefix; /** The myPrefix to add to log output */
    Function myFunc; /** The function to call */

    recordNetwork(LogHandler logger, String prefix, Function func) {
        myLogger=logger;
        myPrefix=prefix;
        myFunc=func;
    }

    /**
     * Repeatedly calls myFunc, recording changes to its calc() function to the myLogger object
     */
    public void run() {
        long start = System.nanoTime();
        long origTx=0, origRx = 0;
        while (System.nanoTime() - start <= recordTime) {
            Pair<Long,Long> datum=myFunc.calc();

            if (origTx != datum.first || origRx != datum.second) {
                origTx = datum.first; origRx = datum.second;
                myLogger.record(myPrefix + " timestamp " + Long.toString(System.nanoTime() - start) + " ns.\t"
                        + "sent: " + origTx +"\t"
                        + "received: " + origRx);
            }
        }
    }
}
